Subject: Login and NT accounts
From: Boris Rogge <[email-masked]>
To: [email-masked]
Date: Sun, 10 Dec 2000 10:56:28 +0100

Hello,

I am still strugling with the login command under Cygwin. I can not use the login command. The
utility keeps telling me that my login is incorrect. At the prompt in the bash shell, my NT username
is used.

The first thing I want to do is use this utility. The final goal is to use sshd on my NT box. In the
sshd I get an error that the password is not correct. I presume that the cause for this is the same
why I can not use the login utility. I have read and tried everything that is listed in the README
files for both ssh and login.

What am I missing here?
Any help would be highly appreciated.

Boris
[email-masked]

##########
PS: I include the result of cygcheck utility here.

Cygnus Win95/NT Configuration Diagnostics
Current System Time: Sun Dec 10 10:51:12 2000

WinNT Ver 4.0 build 1381 Service Pack 5

Path:   /usr/local/bin
        /usr/bin
        /bin
        /cygdrive/d/WINNT/system32
        /cygdrive/d/WINNT
        /cygdrive/e/Program Files/MTS
        /cygdrive/g/MSSQL/BINN
        /usr/bin

SysDir: D:\WINNT\System32
WinDir: D:\WINNT

Here's some environment variables that may affect cygwin:
PWD = `/home/boris'
USER = `boris'
MAKE_MODE = `unix'
HOME = `/home/boris'

Here's the rest of your environment variables:
NUMBER_OF_PROCESSORS = `1'
PROMPT = `$P$G'
LOGONSERVER = `\\BOSERV'
OS2LIBPATH = `D:\WINNT\system32\os2\dll;'
COMSPEC = `D:\WINNT\system32\cmd.exe'
SYSTEMDRIVE = `D:'
HOSTNAME = `BOSERV'
INCLUDE = `e:\Program Files\MTS\Include'
PROCESSOR_REVISION = `0303'
!D: = `D:\Program Files\Common Files\System\Mapi\1033\NT'
PATHEXT = `.COM;.EXE;.BAT;.CMD;.VBS;.JS'
COMPUTERNAME = `BOSERV'
WINDIR = `D:\WINNT'
USERPROFILE = `D:\WINNT\Profiles\boris'
PS1 = `\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
!G: = `G:\cygwin\bin'
MACHTYPE = `i686-pc-cygwin'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 3 Stepping 3, GenuineIntel'
OS = `Windows_NT'
OLDPWD = `/usr/bin'
PROCESSOR_ARCHITECTURE = `x86'
TEMP = `/cygdrive/d/TEMP'
PROCESSOR_LEVEL = `6'
SYSTEMROOT = `D:\WINNT'
HOMEDRIVE = `e:'
LIB = `e:\Program Files\MTS\Lib'
SHLVL = `1'
HOMEPATH = `\data\users\boris'
USERDOMAIN = `BODOMAIN'
USERNAME = `boris'
SHELL = `/bin/sh'
HOSTTYPE = `i686'
OSTYPE = `cygwin'
TERM = `cygwin'
_ = `/usr/bin/cygcheck'
TZ = `WEST-1WEDT-2,M3.5.0/2,M10.5.0/3'

Scanning registry for keys with `Cygnus' in them...
HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/cygdrive'
  cygdrive flags = 0x00000022
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/home/boris/data
  (default) = `e:\data\users\boris'
  flags = 0x00000000
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `g:/cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `g:/cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `g:/cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\Program Options

Listing available drives...
Drv Type        Size   Free Flags              Name
a:  fd           N/A    N/A
c:  hd  FAT      598Mb   1% CP    UN
d:  hd  NTFS     944Mb  82% CP CS UN PA FC     SYSTEM
e:  hd  NTFS    1551Mb  94% CP CS UN PA FC     DATA
f:  cd           N/A    N/A
g:  hd  NTFS    4996Mb  43% CP CS UN PA FC     APPLIC
h:  hd  NTFS    1498Mb  47% CP CS UN PA FC     SCRATCH
i:  hd  NTFS    1725Mb  32% CP CS UN PA FC
k:  net          N/A    N/A
fd=floppy, hd=hard drive, cd=CD-ROM, net=Network Share
CP=Case Preserving, CS=Case Sensitive, UN=Unicode
PA=Persistent ACLS, FC=File Compression, VC=Volume Compression

Mount entries: these map POSIX directories to your NT drives.
-NT-  -POSIX-  -Type-  -Flags-
e:\data\users\boris  /home/boris/data  user    textmode
g:\cygwin\bin  /usr/bin  system  binmode
g:\cygwin\lib  /usr/lib  system  binmode
g:\cygwin  /        system  binmode

Looking to see where common programs can be found, if at all...
Found: g:\cygwin\bin\bash.exe
Found: g:\cygwin\bin\cat.exe
Found: g:\cygwin\bin\cpp.exe
Found: g:\cygwin\bin\find.exe
Found: g:\cygwin\bin\gcc.exe
Found: g:\cygwin\bin\gdb.exe
Found: g:\cygwin\bin\ld.exe
Found: g:\cygwin\bin\ls.exe
Found: g:\cygwin\bin\make.exe
Found: g:\cygwin\bin\sh.exe

Looking for various Cygnus DLLs...  (-v gives version info)
   56k 2000/12/03 g:\cygwin\bin\cygbz21.0.dll - os=4.0 img=1.0 sys=4.0
                  "cygbz21.0.dll" v0.0 ts=2000/11/21 0:53
   83k 2000/11/25 g:\cygwin\bin\cygform5.dll - os=4.0 img=1.0 sys=4.0
                  "cygform5.dll" v0.0 ts=2000/11/25 6:42
   18k 2000/10/23 g:\cygwin\bin\cyggdbm.dll - os=4.0 img=1.0 sys=4.0
                  "cyggdbm.dll" v0.0 ts=2000/10/23 4:26
   17k 2000/11/30 g:\cygwin\bin\cyghistory4.dll - os=4.0 img=1.0 sys=4.0
                  "cyghistory4.dll" v0.0 ts=2000/11/30 3:28
   14k 2000/10/23 g:\cygwin\bin\cygintl.dll - os=4.0 img=1.0 sys=4.0
                  "cygintl.dll" v0.0 ts=2000/10/23 21:02
   83k 2000/06/11 g:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/6/11 5:34
   35k 2000/06/11 g:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/6/11 5:34
   45k 2000/10/22 g:\cygwin\bin\cygjbig1.dll - os=4.0 img=1.0 sys=4.0
                  "cygjbig1.dll" v0.0 ts=2000/10/23 1:06
  119k 2000/10/23 g:\cygwin\bin\cygjpeg6b.dll - os=4.0 img=1.0 sys=4.0
                  "cygjpeg6b.dll" v0.0 ts=2000/10/23 2:58
   53k 2000/11/25 g:\cygwin\bin\cygmenu5.dll - os=4.0 img=1.0 sys=4.0
                  "cygmenu5.dll" v0.0 ts=2000/11/25 6:42
  300k 2000/11/25 g:\cygwin\bin\cygncurses5.dll - os=4.0 img=1.0 sys=4.0
                  "cygncurses5.dll" v0.0 ts=2000/11/25 6:40
   35k 2000/11/25 g:\cygwin\bin\cygpanel5.dll - os=4.0 img=1.0 sys=4.0
                  "cygpanel5.dll" v0.0 ts=2000/11/25 6:41
  162k 2000/10/23 g:\cygwin\bin\cygpng2.dll - os=4.0 img=1.0 sys=4.0
                  "cygpng2.dll" v0.0 ts=2000/10/23 2:40
  108k 2000/11/30 g:\cygwin\bin\cygreadline4.dll - os=4.0 img=1.0 sys=4.0
                  "cygreadline4.dll" v0.0 ts=2000/11/30 3:28
  402k 2000/06/11 g:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/6/11 5:30
    5k 2000/06/11 g:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2000/06/11 g:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/6/11 5:30
  243k 2000/10/23 g:\cygwin\bin\cygtiff3.dll - os=4.0 img=1.0 sys=4.0
                  "cygtiff3.dll" v0.0 ts=2000/10/23 3:14
  639k 2000/06/11 g:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/6/11 5:34
   41k 2000/11/20 g:\cygwin\bin\cygXpm-noX4.dll - os=4.0 img=1.0 sys=4.0
                  "cygXpm-noX4.dll" v0.0 ts=2000/11/20 3:41
   45k 2000/11/20 g:\cygwin\bin\cygXpm-X4.dll - os=4.0 img=1.0 sys=4.0
                  "cygXpm-X4.dll" v0.0 ts=2000/11/20 3:45
   49k 2000/10/23 g:\cygwin\bin\cygz.dll - os=4.0 img=1.0 sys=4.0
                  "cygz.dll" v0.0 ts=2000/10/23 2:22
  609k 2000/11/22 g:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/11/22 3:00
    Cygwin DLL version info:
        dll major: 1001
        dll minor: 6
        dll epoch: 19
        dll bad signal mask: 19005
        dll old termios: 5
        dll malloc env: 28
        api major: 0
        api minor: 30
        shared data: 3
        dll identifier: cygwin1
        mount registry: 2
        cygnus registry name: Cygnus Solutions
        cygwin registry name: Cygwin
        program options name: Program Options
        cygwin mount registry name: mounts v2
        cygdrive flags: cygdrive flags
        cygdrive prefix: cygdrive prefix
        cygdrive default prefix:
        build date: Tue Nov 21 21:00:16 EST 2000
        shared id: cygwin1S3

--
Want to unsubscribe from this list?
Send a message to [email-masked]